Last Comment Bug 853108 - Please add an auto-comment form when relnote flag is set to ?
: Please add an auto-comment form when relnote flag is set to ?
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Administration (show other bugs)
: Production
: x86 Mac OS X
-- major (vote)
: ---
Assigned To: Byron Jones ‹:glob›
:
:
Mentors:
Depends on: 713307
Blocks: 1105155
  Show dependency treegraph
 
Reported: 2013-03-20 12:47 PDT by Lukas Blakk [:lsblakk] use ?needinfo
Modified: 2014-11-25 21:54 PST (History)
10 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Lukas Blakk [:lsblakk] use ?needinfo 2013-03-20 12:47:54 PDT
As with our approval-mozilla-beta (and other) flags where we have a pre-populated form come up, we'd like this to happen with Tracking Flags: relnote set to ? as well - something like this (cc-ing relman in case there are tweaks to the text)

[Relnote Request]
What's the earliest release version this is being flagged for?
Does this disable or enable a feature (if yes, which feature)?
Does this affect addon compatibility?
If none of the above please give a brief description of the desired note:
Comment 1 User image bhavana bajaj [:bajaj] 2013-03-20 14:54:30 PDT
(In reply to lsblakk@mozilla.com from comment #0)
> As with our approval-mozilla-beta (and other) flags where we have a
> pre-populated form come up, we'd like this to happen with Tracking Flags:
> relnote set to ? as well - something like this (cc-ing relman in case there
> are tweaks to the text)
> 
> [Relnote Request]
> What's the earliest release version this is being flagged for?
> Does this disable or enable a feature (if yes, which feature)?
  Platform we should relnote for: Desktop/Android/both ?
> Does this affect addon compatibility?
> If none of the above please give a brief description of the desired note:
Comment 2 User image Byron Jones ‹:glob› 2013-03-20 23:41:22 PDT
there isn't the ability to do this in bugzilla currently, filed as bug 853333.
(you can do it for flags, but not custom fields).

we're on the cusp of deploying significant changes to the implementation of tracking flags on bmo; it would be best to wait until that has been deployed before working on bug 853333.
Comment 3 User image Sylvestre Ledru [:sylvestre] 2014-04-09 07:03:39 PDT
Byron, sorry for the ping but having this feature would be great for us (the release team). Is there a way to make this happens? Thanks
Comment 4 User image Byron Jones ‹:glob› 2014-04-09 07:35:35 PDT
wow, sorry about the delays here.  i did work on a patch for this in bug 713307, but it work there unfortunately stalled.  thanks for bringing this to my attention, i'll try to finish up that patch within 3 to 4 weeks.
Comment 5 User image Sylvestre Ledru [:sylvestre] 2014-05-09 02:54:19 PDT
Byron, any news on the subject? Thanks!
Comment 6 User image Byron Jones ‹:glob› 2014-05-11 20:54:52 PDT
(In reply to Sylvestre Ledru [:sylvestre] from comment #5)
> Byron, any news on the subject? Thanks!

the blocker bug needs to be fixed first (bug 713307).

i've updated the patch and it's waiting on some time from dkl to review (he's been busy on a different high-priority issue recently).
Comment 7 User image Sylvestre Ledru [:sylvestre] 2014-06-26 09:26:24 PDT
So, once bug 713307 is fixed, we have wrote new auto-comments.


= relnotes? =
Release Note Request (optional, but appreciated)
[Why is this notable]:
[Suggested wording]:
[Links (documentation, blog post, etc)]:


--------------------

= tracking-firefoxXY: =
[Tracking Requested - why for this release]:

--------------------

= blocking-b2g =
[Blocking Requested - why for this release]:
Comment 8 User image Byron Jones ‹:glob› 2014-07-22 01:50:05 PDT
auto-comments added to relnote-firefox, relnote-b2g, tracking-firefoxNN, tracking-firefox-esrNN, and blocking-b2g.

Note You need to log in before you can comment on or make changes to this bug.